## golang-github-checkpoint-restore-go-criu 3.11

=== debian/changelog ===
golang-github-checkpoint-restore-go-criu (3.11-2) unstable; urgency=medium

  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Jan 2020 20:17:42 +1100

golang-github-checkpoint-restore-go-criu (3.11-1) unstable; urgency=medium

  * Initial release (Closes: #948113).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 04 Jan 2020 17:35:35 +1100
