=== debian/control ===
Source: golang-github-checkpoint-restore-go-criu
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
 protobuf-compiler,
   golang-goprotobuf-dev (>= 1.3.2~),
Build-Depends-Indep:
 golang-any,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-go-criu
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-go-criu.git
Homepage: https://github.com/checkpoint-restore/go-criu
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/checkpoint-restore/go-criu

Package: golang-github-checkpoint-restore-go-criu-dev
Architecture: all
Depends: ${misc:Depends}
Description: CRIU bindings for Golang
 Golang bindings for CRIU. The code is based on the Golang-based PHaul
 implementation from the CRIU repository.
 .
 Golang bindings provide an easy way to use the CRIU RPC calls from Golang
 without the need to set up all the infrastructure to make the actual RPC
 connection to CRIU.
