=== debian/rules ===
#!/usr/bin/make -f

PBGO   := rpc/rpc.pb.go stats/stats.pb.go
PBGO_S := rpc/rpc.proto stats/stats.proto

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

$(PBGO):
	cp -rv debian/missing-sources/* ./
	protoc --go_out=. $(@:.pb.go=.proto)

override_dh_clean:
	dh_clean $(PBGO) $(PBGO_S) */*.URL

override_dh_auto_configure: $(PBGO)
	dh_auto_configure
