=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-golang,
+ golang-goprotobuf-dev (>= 1.3.2~),
  protobuf-compiler,
-   golang-goprotobuf-dev (>= 1.3.2~),
 Build-Depends-Indep:
  golang-any,
 Standards-Version: 4.5.0
@@ -21,7 +21,8 @@
 
 Package: golang-github-checkpoint-restore-go-criu-dev
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: CRIU bindings for Golang
  Golang bindings for CRIU. The code is based on the Golang-based PHaul
  implementation from the CRIU repository.
