=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_GOLANG_EXCLUDES := crit-go/magic-gen
 
 PBGO   := rpc/rpc.pb.go stats/stats.pb.go
 PBGO_S := rpc/rpc.proto stats/stats.proto
@@ -15,3 +17,6 @@
 
 override_dh_auto_configure: $(PBGO)
 	dh_auto_configure
+	# remove test dir manually, this dir will cause `go list` failed
+	# C source files not allowed when not using cgo or SWIG: piggie.c
+	rm -rvf _build/src/github.com/checkpoint-restore/go-criu/test/
