## golang-github-checkpoint-restore-go-criu 5.1.0

=== debian/changelog ===
golang-github-checkpoint-restore-go-criu (5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.1.0 (Closes: #993317)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Oct 2021 00:44:02 +0800
