=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-golang,
- golang-goprotobuf-dev (>= 1.3.2~),
- protobuf-compiler,
+ golang-google-protobuf-dev,
+ protoc-gen-go,
 Build-Depends-Indep:
  golang-any,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-go-criu
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-go-criu.git
 Homepage: https://github.com/checkpoint-restore/go-criu
@@ -22,7 +22,10 @@
 Package: golang-github-checkpoint-restore-go-criu-dev
 Architecture: all
 Depends:
+ golang-google-protobuf-dev,
  ${misc:Depends},
+Breaks:
+ golang-github-opencontainers-runc-dev (<< 1.0.2+ds1-1~),
 Description: CRIU bindings for Golang
  Golang bindings for CRIU. The code is based on the Golang-based PHaul
  implementation from the CRIU repository.
