## golang-github-checkpoint-restore-go-criu 5.3.0

=== debian/changelog ===
golang-github-checkpoint-restore-go-criu (5.3.0-2) unstable; urgency=medium

  * Team upload.
  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Mar 2022 17:34:36 -0500

golang-github-checkpoint-restore-go-criu (5.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 5.3.0

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 16 Feb 2022 19:00:23 -0500
