=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/checkpoint-restore/go-criu \
  refs/tags/v?@ANY_VERSION@ debian
