## golang-github-checkpoint-restore-go-criu 6.3.0%2Bds1

=== debian/changelog ===
golang-github-checkpoint-restore-go-criu (6.3.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 24 Oct 2023 18:08:53 -0400

golang-github-checkpoint-restore-go-criu (6.3.0+ds1-1) experimental; urgency=medium

  [ Reinhard Tartler ]
  * debian/watch: mangle version number
  * New upstream version 6.3.0+ds1
  * Bump Standards Version
  * debian/control: Use more appropriate archive section 'golang'
  * take away spurious +x bits
  * Add myself to uploaders
  
  [ Debian Janitor ]
  * Apply multi-arch hints:
    + golang-github-checkpoint-restore-go-criu-dev: Add Multi-Arch: foreign.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 14 Jan 2023 14:30:11 -0500
