=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,
-Section: devel
+ Reinhard Tartler <siretart@tauware.de>
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-golang,
+ golang-github-spf13-cobra-dev,
  golang-google-protobuf-dev,
  protoc-gen-go,
 Build-Depends-Indep:
  golang-any,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-go-criu
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-go-criu.git
 Homepage: https://github.com/checkpoint-restore/go-criu
@@ -26,6 +28,7 @@
  ${misc:Depends},
 Breaks:
  golang-github-opencontainers-runc-dev (<< 1.0.2+ds1-1~),
+Multi-Arch: foreign
 Description: CRIU bindings for Golang
  Golang bindings for CRIU. The code is based on the Golang-based PHaul
  implementation from the CRIU repository.
