=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,7 @@
 	$(RM) $(addprefix $(SRC_DIR),rpc/rpc.pb.go stats/stats.pb.go)
 	cd $(SRC_DIR) && protoc --go_out=. --go_opt=Mrpc/rpc.proto=rpc/ rpc/rpc.proto
 	cd $(SRC_DIR) && protoc --go_out=. --go_opt=Mstats/stats.proto=stats/ stats/stats.proto
+
+override_dh_auto_install:
+	dh_auto_install -- --no-binaries
+	find _build debian -name '*.proto' -exec chmod -x {} +
