=== debian/changelog ===
golang-github-checkpoint-restore-go-criu (7.1.0+ds1-6) unstable; urgency=medium

  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:16:05 -0400

golang-github-checkpoint-restore-go-criu (7.1.0+ds1-5) experimental; urgency=medium

  * Fix typo in Breaks declaration

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Aug 2024 06:21:55 -0400

golang-github-checkpoint-restore-go-criu (7.1.0+ds1-4) experimental; urgency=medium

  * Add Breaks: golang-github-checkpoint-restore-checkpointctl-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Aug 2024 16:53:59 -0400

golang-github-checkpoint-restore-go-criu (7.1.0+ds1-3) experimental; urgency=medium

  * Reupload.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 22:35:58 -0400

golang-github-checkpoint-restore-go-criu (7.1.0+ds1-2) experimental; urgency=medium

  * Tighten Breaks on golang-github-opencontainers-runc-dev
  * Bump Standards-Version
  * normalize fields with wrap-and-sort
  * add breaks on lxd, incus

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 13:54:32 -0400

golang-github-checkpoint-restore-go-criu (7.1.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Skip Image tests that require generated criu test images

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Aug 2024 20:06:42 -0400
