=== debian/control ===
Source: golang-github-checkpoint-restore-go-criu
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-github-spf13-cobra-dev,
               golang-google-protobuf-dev,
               protoc-gen-go
Build-Depends-Indep: golang-any
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-go-criu
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-go-criu.git
Homepage: https://github.com/checkpoint-restore/go-criu
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/checkpoint-restore/go-criu

Package: golang-github-checkpoint-restore-go-criu-dev
Architecture: all
Depends: golang-google-protobuf-dev, ${misc:Depends}
Breaks: golang-github-checkpoint-restore-checkpointctl-dev (<< 1.2.1+ds1-3~),
        incus (<< 6.0.1-2),
        golang-github-opencontainers-runc-dev (<< 1.1.12+ds1-4~),
        lxd (<< 5.0.2+git20231211.1364ae4-6)
Multi-Arch: foreign
Description: CRIU bindings for Golang
 Golang bindings for CRIU. The code is based on the Golang-based PHaul
 implementation from the CRIU repository.
 .
 Golang bindings provide an easy way to use the CRIU RPC calls from Golang
 without the need to set up all the infrastructure to make the actual RPC
 connection to CRIU.
