## golang-github-checkpoint-restore-go-criu 7.2.0%2Bds1

=== debian/tests/control ===
Tests: integration-tests
Depends: criu (>= 3.19), @, @builddeps@, @recommends@, procps
Restrictions: allow-stderr, needs-root, isolation-machine, flaky
