=== test/loop/Makefile ===
CC ?= gcc

loop: loop.c
	$(CC) $^ -o $@

clean:
	@rm -f loop

.PHONY: clean
