=== test/mmapper/Makefile ===
CC ?= gcc

mmapper: mmapper.c
	$(CC) $^ -o $@

clean:
	@rm -f mmapper

.PHONY: clean
