=== debian/changelog ===
golang-github-checkpoint-restore-go-criu (7.2.0+ds1-4) unstable; urgency=medium

  * Mark autopkgtest to require qemu

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 18 Nov 2024 20:18:59 -0500

golang-github-checkpoint-restore-go-criu (7.2.0+ds1-3) unstable; urgency=medium

  * Mark test as working without qemu
  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Nov 2024 09:47:14 -0500

golang-github-checkpoint-restore-go-criu (7.2.0+ds1-2) unstable; urgency=medium

  * fix golang import path
  * autopkgtests: Tighten dependency on criu, mark test as non-flaky

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 04 Nov 2024 18:53:54 -0500

golang-github-checkpoint-restore-go-criu (7.2.0+ds1-1) experimental; urgency=medium

  * New upstream release: 7.2.0

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 28 Oct 2024 08:36:47 -0400
