=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-go-criu.git
 Homepage: https://github.com/checkpoint-restore/go-criu
 Rules-Requires-Root: no
-XS-Go-Import-Path: github.com/checkpoint-restore/go-criu
+XS-Go-Import-Path: github.com/checkpoint-restore/go-criu/v7
 
 Package: golang-github-checkpoint-restore-go-criu-dev
 Architecture: all
 Depends: golang-google-protobuf-dev, ${misc:Depends}
 Breaks: golang-github-checkpoint-restore-checkpointctl-dev (<< 1.2.1+ds1-3~),
+        golang-github-opencontainers-runc-dev (<< 1.1.12+ds1-4~),
         incus (<< 6.0.1-2),
-        golang-github-opencontainers-runc-dev (<< 1.1.12+ds1-4~),
         lxd (<< 5.0.2+git20231211.1364ae4-6)
 Multi-Arch: foreign
 Description: CRIU bindings for Golang
